import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import { ControlButton } from './ControlButton';
import PlayArrowIcon from '@material-ui/icons/PlayArrow';
import PauseIcon from '@material-ui/icons/Pause';
import FastForwardIcon from '@material-ui/icons/FastForward';
import Zoom from '@material-ui/core/Zoom';

<Meta title="Buttons/ControlButton" component={ControlButton} />

# ControlButton
 
The basic layout for every route
    
<Preview>
  <Story key="1" name="default">
    <ControlButton>
        <FastForwardIcon />
    </ControlButton>
  </Story>
  <Story key="2" name="modes">
    <ControlButton modes={['paused', 'playing']}>
        {mode => mode === 'paused' ? <PlayArrowIcon /> : <PauseIcon />}
    </ControlButton>
  </Story>
  <Story key="3" name="modes with transition">
    <ControlButton modes={['paused', 'playing']} transition={Zoom}>
        {mode => mode === 'paused' ? <PlayArrowIcon /> : <PauseIcon />}
    </ControlButton>
  </Story>
</Preview>